body { font-family: Arial, sans-serif; margin: 0; padding: 0; }
.toolbar { display: flex; align-items: center; gap: 20px; flex-wrap: wrap; max-width: 1000px; width: 100%;margin: 0 auto; padding: 25px 10px;}
canvas {display: block; margin: 0 auto; cursor: crosshair;  touch-action: none;}
button { padding: 6px 12px; }
.tool_btn {
	border-radius: 20px;
	font-size: 16px;
	padding: 8px 22px;
	min-width: 125px;
}
#trashBtn {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 20px;
  background: red;
  color: white;
  border: none;
  padding: 12px 16px;
  border-radius: 8px;
  font-size: 18px;
  cursor: pointer;
  z-index: 999;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  transition: opacity 0.3s ease, transform 0.3s ease;
}
#trashBtn:hover {
  background-color: darkred;
  transform: scale(1.1);
}

.container {
  margin: 0 auto;
  margin-bottom: 10px;
  border: 1px solid #ccc;
  border-radius: 20px;
  overflow: hidden;
  width: fit-content;
  max-width: 1200px;
  position: relative;
  display: flex;
  gap: 10px;
  height: calc(100vh - 170px)
}

.left-scrollbar {
	display: flex;
    flex-direction: column;
    background: #f5f5f5;
}
.left-panel {
  width: 120px;
  overflow-y: auto;
  background: #f5f5f5;
  padding: 10px;
  box-shadow: 2px 0 5px rgba(0, 0, 0, 0.1);
  z-index: 9;
}

.scroll-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 20px;
  cursor: pointer;
}

.left-panel::-webkit-scrollbar {
  width: 6px;
}
.left-panel::-webkit-scrollbar-thumb {
  background-color: #ccc;
  border-radius: 3px;
}


.icon-box {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 50px;
  height: 50px;
  border: 1px solid #888;
  margin: 0 auto 5px;
  cursor: grab;
}

.icon-box img { width: 100%; max-height: 100%;}

.scroll-btn {
  border: none;
  font-size: 20px;
  cursor: pointer;
  background: transparent;
  transform: rotate(90deg);
  z-index: 1;
}